Updates a traffic filter
- Base URL
-
https://api.elastic-cloud.com
- PATCH /api/v1/serverless/traffic-filters/{id}
Updates the traffic filter with the definition.
Request body
The specification for traffic filter.
-
rulesobject[] -
List of rules
-
sourcestring -
Allowed source for
ip,vpce, orpsc_endpointfilters: an IP address, CIDR mask, AWS VPC endpoint ID (vpce-followed by 17 lowercase hex characters), or GCP PSC connection ID. Must not be set forprivate_endpointfilters. -
azure_endpoint_namestring · min length: 2 · max length: 80 · pattern: ^[a-zA-Z0-9][-\w.]{0,78}[\w]$ -
Azure Private Endpoint resource name. Required for
private_endpointfilters; not applicable toip,vpce, orpsc_endpointfilters. Must be 2–80 characters, start with an alphanumeric character, and end with an alphanumeric character or underscore. May contain alphanumerics, underscores, periods, and hyphens.
Responses
The traffic filter definition was valid and the update has started.
-
typeenum · min length: 1 · max length: 32required -
Type of the traffic filter. Determines which rule fields are valid:
ip— IP/CIDR allowlist (source)vpce— AWS PrivateLink VPC endpoint (source)private_endpoint— Azure Private Link (azure_endpoint_name,azure_endpoint_guid)psc_endpoint— GCP Private Service Connect endpoint (source)
-
Values:
ipvpceprivate_endpointpsc_endpoint -
include_by_defaultbooleanrequired -
Should the traffic filter be automatically included in the new projects
-
regionstring · min length: 1 · max length: 32required -
The traffic filter can be attached only to projects in the specific region
-
rulesobject[]required -
List of rules
-
sourcestring -
Allowed source for
ip,vpce, orpsc_endpointfilters: an IP address, CIDR mask, AWS VPC endpoint ID (vpce-followed by 17 lowercase hex characters), or GCP PSC connection ID. Must not be set forprivate_endpointfilters. -
azure_endpoint_namestring · min length: 2 · max length: 80 · pattern: ^[a-zA-Z0-9][-\w.]{0,78}[\w]$ -
Azure Private Endpoint resource name. Required for
private_endpointfilters; not applicable toip,vpce, orpsc_endpointfilters. Must be 2–80 characters, start with an alphanumeric character, and end with an alphanumeric character or underscore. May contain alphanumerics, underscores, periods, and hyphens.
Bad request
Unauthorized
Not Found
Conflict